Bug 247212 - perl-Bit-Vector-6.4-3.fc8 provides are messed up
perl-Bit-Vector-6.4-3.fc8 provides are messed up
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Bit-Vector (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-05 20:53 EDT by Jonathan Kamens
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 14:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-07-05 20:53:30 EDT
$ rpm -q --provides -p perl-Bit-Vector-6.4-3.fc8.i386.rpm 
Vector.so  
perl(Bit::Vector::Overload) = 6.4
perl(Bit::Vector::String) = 6.4
perl-Bit-Vector = 6.4-3.fc8
$ rpm -q perl-Bit-Vector
perl-Bit-Vector-6.4-2.2.2.1
$ rpm -q --provides perl-Bit-Vector
Vector.so  
perl(Bit::Vector)  
perl(Bit::Vector) = 6.4
perl(Bit::Vector::Overload) = 6.4
perl(Bit::Vector::String) = 6.4
perl-Bit-Vector = 6.4-2.2.2.1
$ 

Note the differences in what's provided by the installed perl-Bit-Vector vs.
what's provided by the current devel package.
Comment 1 Robin Norwood 2007-07-06 14:29:23 EDT
Thanks for catching this.  It was caused by a botched attempt to removed the
unversioned provides: perl(Bit::Vector), which is bad.  The versioned one should
of course stay - "perl(Bit::Vector) = 6.4"

Fixed in 6.4-4.fc8:

rpm -qp --provides
/home/rnorwood/cvs/fedora/perl-Bit-Vector/devel/i386/perl-Bit-Vector-6.4-4.fc8.i386.rpm
Vector.so  
perl(Bit::Vector) = 6.4
perl(Bit::Vector::Overload) = 6.4
perl(Bit::Vector::String) = 6.4
perl-Bit-Vector = 6.4-4.fc8

Note You need to log in before you can comment on or make changes to this bug.